<?php
if (!defined ('ABSPATH')) exit;
class admin_enable_edd_comment
{

public function __construct(){

	add_action('admin_enqueue_scripts',array ($this,'enqueue'));
	add_action( 'admin_menu', array ($this, 'admin_menu_page' ));
    add_action( 'admin_init', array ($this,'register_settings'));
    add_filter('edd_download_supports', array($this, 'modify_edd_product_supports'));

add_action( 'plugins_loaded', array ($this,'enable_edd_comment_textdomain' ));

}

// Enqueue Scripts

function enqueue(){
	wp_enqueue_style('enable_edd_comment',plugins_url('/assets/css/style.css',__FILE__));
}

// Add admin panel page

function admin_menu_page(){
	$page_title = "Enable Easy Digital Downloads Comment";
	$menu_title = 'EDD Comment';
	$capability ="manage_options";
	$menu_slug ="enable_edd_comment";

	add_menu_page(
	$page_title,
	$menu_title,
	$capability,
	$menu_slug,
	array($this,'admin_menu_page_callback'),
	'dashicons-testimonial',
	null
	);
}

function admin_menu_page_callback(){

?>

<div class="wrap">

 <h1><?php echo __( 'Enable Easy Digital Downloads Comments' ,'enable-edd-comment' );?></h1>
<form method="post" action="options.php"> 

   <?php  settings_errors();?>
   <?php  do_settings_sections( 'enable_edd_comment' );?>
   <?php  settings_fields( 'enable_edd_comment_group' );?>
   <?php submit_button(); ?>

</form>
    
</div>

<?php

}


// Settings Section

function register_settings(){

register_setting( 'enable_edd_comment_group', 'check_active_edd_comments' );

add_settings_section( 'enable_edd_comment', __('Enable EDD Comments','enable-edd-comment'), array($this,'enable_edd_comment_section_callback'), 'enable_edd_comment' );

add_settings_field( 'active_edd_comment', __('Active EDD Comments','enable-edd-comment'), array($this,'enable_edd_comment_field_callback'), 'enable_edd_comment', 'enable_edd_comment' );

add_settings_field( 'how_to_use', __('Help','enable-edd-comment'), array($this,'how_to_use_field_callback'), 'enable_edd_comment', 'enable_edd_comment');
}

function enable_edd_comment_section_callback(){

 // echo _('Enable Or Disable Comments For EDD','enable_edd_comment');

}

function enable_edd_comment_field_callback(){
?>

<input type="checkbox" name="check_active_edd_comments" value="1" <?php checked( get_option( 'check_active_edd_comments' ), 1,  true );?>>
<span><?php echo __('if you want to enable comments for edd downloads page active this checkbox.','enable-edd-comment');?>	
	</span>

<?php
}

function how_to_use_field_callback(){
?>

<hr/>
<p>
<strong><span class="green"><?php echo __('Stage 1','enable-edd-comment');?></span></strong>
<br />
<?php echo __('Active EDD Comments Checkbox in up menu and save settings.','enable-edd-comment');?>
</p>
<br />
<p>
<strong><span class="green"><?php echo __('Stage 2','enable-edd-comment');?></span></strong>
<br /><?php echo __('Now you can go : <em>wp-admin/post-new.php?post_type=download</em> or edit some download product and see in after download metabox a review option is enabled.','enable-edd-comment');?>
</p>
<hr />
<p>
	<?php printf(
	 __('for mor information you can see <a href="%s" target="_blank">More Help</a>.','enable-edd-comment'),'https://persian-vc.com/enable-edd-comments/');

	 ;?>
<?php
}


function modify_edd_product_supports($supports) {
	if( get_option( 'check_active_edd_comments') ) {
	$supports[] = 'comments';
	return $supports;
}
}

function enable_edd_comment_textdomain() {
    load_plugin_textdomain( 'enable-edd-comment', FALSE, basename( dirname( __FILE__ ) ) . '/languages/' );
}



} // END Class
?>